<?xml version="1.0" encoding="UTF-8"?>

<foxml:digitalObject
        VERSION="1.1"
        PID="doms:ContentModel_File"
        xmlns:foxml="info:fedora/fedora-system:def/foxml#"
        xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
        xsi:schemaLocation=
                "info:fedora/fedora-system:def/foxml#
                http://www.fedora.info/definitions/1/0/foxml1-1.xsd">


    <foxml:objectProperties>
        <foxml:property
                NAME="info:fedora/fedora-system:def/model#state"
                VALUE="A"/>
        <foxml:property
                NAME="info:fedora/fedora-system:def/model#label"
                VALUE="Content Model File"/>

    </foxml:objectProperties>


    <foxml:datastream ID="DC" STATE="A" CONTROL_GROUP="X" VERSIONABLE="true">
        <foxml:datastreamVersion ID="DC.0" MIMETYPE="text/xml" LABEL="Default Dublin Core Record" SIZE="488" CREATED="2004-12-10T00:21:58.000Z">

            <foxml:xmlContent>
                <oai_dc:dc
                        xmlns:oai_dc="http://www.openarchives.org/OAI/2.0/oai_dc/"
                        xmlns:dc="http://purl.org/dc/elements/1.1/">
                    <dc:title>Content Model File</dc:title>
                    <dc:identifier>doms:ContentModel_File</dc:identifier>
                </oai_dc:dc>
            </foxml:xmlContent>
        </foxml:datastreamVersion>
    </foxml:datastream>



    <foxml:datastream CONTROL_GROUP="X" ID="RELS-EXT" STATE="A" VERSIONABLE="true">
        <foxml:datastreamVersion  ID="RELS-EXT.1" LABEL="Relationships"
                                  MIMETYPE="application/rdf+xml" >
            <foxml:contentDigest DIGEST="none" TYPE="DISABLED"/>
            <foxml:xmlContent>
                <rdf:RDF xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
                         xmlns:doms="http://doms.statsbiblioteket.dk/relations/default/0/1/#" >
                    <rdf:Description rdf:about="info:fedora/doms:ContentModel_File">
                        <hasModel rdf:resource="info:fedora/fedora-system:ContentModel-3.0" xmlns="info:fedora/fedora-system:def/model#"/>
                        <doms:extendsModel rdf:resource="info:fedora/doms:ContentModel_DOMS" />
                        <doms:isPartOfCollection rdf:resource="info:fedora/doms:DOMS_Base_Collection"/>
                    </rdf:Description>
                </rdf:RDF>
            </foxml:xmlContent>
        </foxml:datastreamVersion>
    </foxml:datastream>


    <foxml:datastream CONTROL_GROUP="X" ID="VIEW" STATE="A" VERSIONABLE="true">
        <foxml:datastreamVersion  ID="VIEW.0" LABEL="Generic views" MIMETYPE="text/xml">
            <foxml:xmlContent>
                <view:views xmlns:view="http://doms.statsbiblioteket.dk/types/views/0/1/#"
                            xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
                    <view:view name="GUI">
                    </view:view>
                </view:views>
            </foxml:xmlContent>
        </foxml:datastreamVersion>
    </foxml:datastream>


    <foxml:datastream
            CONTROL_GROUP="X"
            ID="PRONOMID_SCHEMA"
            STATE="A"
            VERSIONABLE="true">
        <foxml:datastreamVersion
                ID="PRONOMID_SCHEMA.0"
                LABEL="Restrictions on the general properties"
                MIMETYPE="text/xml">
            <foxml:xmlContent>
                <xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema"
                            xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance#"
                            targetNamespace="http://doms.statsbiblioteket.dk/properties/pronomID/0/1/#"
                            xmlns="http://doms.statsbiblioteket.dk/properties/pronomID/0/1/#"
                            elementFormDefault="qualified"
                            attributeFormDefault="unqualified">

                    <xsd:element name="pronomID" type="extpropertiesType"/>

                    <xsd:complexType name="extpropertiesType">
                        <xsd:attribute name="value" type="xsd:string"/>
                    </xsd:complexType>
                </xsd:schema>
            </foxml:xmlContent>
        </foxml:datastreamVersion>
    </foxml:datastream>







    <foxml:datastream CONTROL_GROUP="X" ID="CHARACTERISATION_SCHEMA" STATE="A" VERSIONABLE="true">
        <foxml:datastreamVersion
                ID="CHARACTERISATION_SCHEMA.0"
                MIMETYPE="text/xml"
                LABEL="CHARACTERISATION schema">

            <foxml:xmlContent>

                <xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema"
                            xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
                            targetNamespace="http://doms.statsbiblioteket.dk/types/characterisation/0/1/#"
                            xmlns="http://doms.statsbiblioteket.dk/types/characterisation/0/1/#"
                            elementFormDefault="qualified"
                            attributeFormDefault="unqualified">



                    <xsd:element name="characterisation" type="characterisationType"/>

                    <xsd:complexType name="characterisationType">
                        <xsd:sequence>
                            <xsd:element name="characterisationRun"
                                         minOccurs="1"
                                         maxOccurs="unbounded"
                                         type="characterisationRunType"/>
                        </xsd:sequence>
                    </xsd:complexType>

                    <xsd:complexType name="characterisationRunType">
                        <xsd:sequence>
                            <xsd:element name="tool" type="xsd:string" maxOccurs="1" minOccurs="1"/>
                            <xsd:element name="output" type="outputType" maxOccurs="1"/>
                        </xsd:sequence>
                    </xsd:complexType>



                    <xsd:complexType name="outputType">
                        <xsd:sequence>
                            <xsd:any namespace="##any" processContents="skip" maxOccurs="unbounded"/>
                        </xsd:sequence>
                    </xsd:complexType>
                </xsd:schema>
            </foxml:xmlContent>
        </foxml:datastreamVersion>
    </foxml:datastream>



    <foxml:datastream CONTROL_GROUP="X" ID="ORIGIN_SCHEMA" STATE="A" VERSIONABLE="true">
        <foxml:datastreamVersion
                ID="ORIGIN_SCHEMA.0"
                MIMETYPE="text/xml"
                LABEL="ORIGIN schema">

            <foxml:xmlContent>

                <!-- Copyright © 2005 OCLC Online Computer Library Center and RLG Research Libraries Group -->
                <!-- PREMIS Preservation Metadata Schema: Event  -->
                <!-- Version 1.1, September 27, 2005 -->
                <!-- Changes applied to this schema (since Version 1.0, May 17, 2005):
                - September 27, 2005.  Ray Denenberg, Library of Congress.
                - version changed to 1.1.
                - namespace changed (both xmlns and targetNamespace
                from http://www.loc.gov/standards/premis
                to http://www.loc.gov/standards/premis/v1.
                - version attribute added.
                - corrected xlink namespace URL to "http://www.w3.org/1999/xlink" (removed slash at end)
                - modified eventDateTime type attribute to type="dateType"
                  <xs:union memberTypes="xs:date xs:dateTime">
                -October 20, 2005. Rebecca Guenther, Library of Congress
                - modified eventDateTime: take out type="dateType" change to:
                    <xs:simpleType>
                    <xs:union memberTypes="xs:date xs:dateTime" />
                    </xs:simpleType>
                -->
                <xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema"
                           xmlns="http://www.loc.gov/standards/premis/v1"
                           targetNamespace="http://www.loc.gov/standards/premis/v1"
                           elementFormDefault="qualified"
                           attributeFormDefault="unqualified">
                    <xs:element name="event">
                        <xs:complexType>
                            <xs:sequence>
                                <xs:element name="eventIdentifier">
                                    <xs:complexType>
                                        <xs:sequence>
                                            <xs:element name="eventIdentifierType" type="xs:string"/>
                                            <xs:element name="eventIdentifierValue" type="xs:string"/>
                                        </xs:sequence>
                                        <xs:anyAttribute namespace="http://www.w3.org/1999/xlink"/>
                                    </xs:complexType>
                                </xs:element>
                                <xs:element name="eventType" type="xs:string"/>
                                <xs:element name="eventDateTime" minOccurs="1" maxOccurs="1">
                                    <xs:simpleType>
                                        <xs:union memberTypes="xs:date xs:dateTime" />
                                    </xs:simpleType>
                                </xs:element>
                                <xs:element name="eventDetail" type="xs:string" minOccurs="0"/>
                                <xs:element name="eventOutcomeInformation" minOccurs="0" maxOccurs="unbounded">
                                    <xs:complexType>
                                        <xs:sequence>
                                            <xs:element name="eventOutcome" type="xs:string" minOccurs="0"/>
                                            <xs:element name="eventOutcomeDetail" minOccurs="0">
                                                <xs:complexType>
                                                    <xs:sequence>
                                                        <xs:any namespace="##any" processContents="lax"/>
                                                    </xs:sequence>
                                                </xs:complexType>
                                            </xs:element>
                                        </xs:sequence>
                                    </xs:complexType>
                                </xs:element>
                                <xs:element name="linkingAgentIdentifier" minOccurs="0" maxOccurs="unbounded">
                                    <xs:complexType>
                                        <xs:sequence>
                                            <xs:element name="linkingAgentIdentifierType" type="xs:string"/>
                                            <xs:element name="linkingAgentIdentifierValue" type="xs:string"/>
                                            <xs:element name="linkingAgentRole" type="xs:string" minOccurs="0" maxOccurs="unbounded"/>
                                        </xs:sequence>
                                        <xs:attribute name="LinkAgentXmlID" type="xs:IDREF" use="optional"/>
                                        <xs:anyAttribute namespace="http://www.w3.org/1999/xlink"/>
                                    </xs:complexType>
                                </xs:element>
                                <xs:element name="linkingObjectIdentifier" minOccurs="0" maxOccurs="unbounded">
                                    <xs:complexType>
                                        <xs:sequence>
                                            <xs:element name="linkingObjectIdentifierType" type="xs:string"/>
                                            <xs:element name="linkingObjectIdentifierValue" type="xs:string"/>
                                        </xs:sequence>
                                        <xs:attribute name="LinkObjectXmlID" type="xs:IDREF" use="optional"/>
                                        <xs:anyAttribute namespace="http://www.w3.org/1999/xlink"/>
                                    </xs:complexType>
                                </xs:element>
                            </xs:sequence>
                            <xs:attribute name="xmlID" type="xs:ID"/>
                            <xs:attribute name="version" use="optional">
                                <xs:simpleType>
                                    <xs:restriction base="xs:string">
                                        <xs:enumeration value="1.1"/>
                                    </xs:restriction>
                                </xs:simpleType>
                            </xs:attribute>
                        </xs:complexType>
                    </xs:element>

                </xs:schema>


            </foxml:xmlContent>
        </foxml:datastreamVersion>
    </foxml:datastream>


    <foxml:datastream
            CONTROL_GROUP="X"
            ID="DS-COMPOSITE-MODEL"
            STATE="A"
            VERSIONABLE="true">
        <foxml:datastreamVersion ID="DS-COMPOSITE-MODEL.0"
                                 LABEL="DS Composite Model."
                                 MIMETYPE="text/xml">
            <foxml:xmlContent>
                <dsCompositeModel
                        xmlns="info:fedora/fedora-system:def/dsCompositeModel#"
                        xmlns:schema="http://doms.statsbiblioteket.dk/types/dscompositeschema/0/1/#">
                    <dsTypeModel ID="CHARACTERISATION">
                        <form MIME="text/xml"/>
                        <extensions name="DOMS">
                            <schema:schema type="xsd" datastream="CHARACTERISATION_SCHEMA"/>
                        </extensions>

                    </dsTypeModel>
                    <dsTypeModel ID="CONTENTS"/>
                    <dsTypeModel ID="ORIGIN">
                        <form MIME="text/xml"/>
                        <extensions name="DOMS">
                            <schema:schema type="xsd" datastream="ORIGIN_SCHEMA"/>
                        </extensions>
                    </dsTypeModel>
                    <dsTypeModel ID="PRONOMID">
                        <form MIME="text/xml"/>
                        <extensions name="DOMS">
                            <schema:schema type="xsd" datastream="PRONOMID_SCHEMA"/>
                        </extensions>
                    </dsTypeModel>
                </dsCompositeModel>
            </foxml:xmlContent>
        </foxml:datastreamVersion>
    </foxml:datastream>





    <foxml:datastream CONTROL_GROUP="X" ID="ONTOLOGY" STATE="A" VERSIONABLE="true">
        <foxml:datastreamVersion
                ID="ONTOLOGY.0"
                LABEL="Relations schema"
                MIMETYPE="text/xml">
            <foxml:xmlContent>

                <rdf:RDF
                        xmlns:owl="http://www.w3.org/2002/07/owl#"
                        xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
                        xmlns:rdfs="http://www.w3.org/2000/01/rdf-schema#"
                        xml:base="http://doms.statsbiblioteket.dk/relations/default/0/1/#">

                    <owl:Class rdf:about="info:fedora/doms:ContentModel_File">

                        <rdfs:subClassOf>
                            <owl:Restriction>
                                <owl:onProperty rdf:resource="hasOriginal"/>
                                <owl:allValuesFrom rdf:resource="info:fedora/doms:ContentModel_File"/>
                            </owl:Restriction>
                        </rdfs:subClassOf>

                    </owl:Class>

                    <owl:ObjectProperty rdf:about="hasOriginal"/>

                </rdf:RDF>
            </foxml:xmlContent>
        </foxml:datastreamVersion>
    </foxml:datastream>

</foxml:digitalObject>
